function x= fram3_up_hmwf(l1, h, s,F,W)
%one step of 3-channel frame reconstruction of a signal or a set of row signals 'x'

%F and W --transform filters (produced by function 'hmwf.m')
%l1, h --the low-, high-pass transform coefficients
%s--the  band-pass transform coefficients

sq=sqrt(2);
le=(l1+h)/sq;

 [lv,N]=size(h);
% n=0:(N-1);

lh=l1-h;
flh=fft(lh,[],2);

fs=fft(s,[],2);



flo=(F.*flh+W.*fs)/sq;
lo=real(ifft(flo,[],2));
x=zeros(lv,2*N);
x(:,1:2:end)=le;
x(:,2:2:end)=lo;
 
% Copyright (c) 2012. Valery A. Zheludev